// --- CMAKE generated variables for your plugin

#include "pluginstructures.h"

#ifndef _plugindescription_h
#define _plugindescription_h

#define QUOTE(name) #name
#define STR(macro) QUOTE(macro)
#define AU_COCOA_VIEWFACTORY_STRING STR(AU_COCOA_VIEWFACTORY_NAME)
#define AU_COCOA_VIEW_STRING STR(AU_COCOA_VIEW_NAME)

// --- AU Plugin Cocoa View Names (flat namespace) 
#define AU_COCOA_VIEWFACTORY_NAME AUCocoaViewFactory_98F3E91AFAA73C298D57C7D6015A71C5
#define AU_COCOA_VIEW_NAME AUCocoaView_98F3E91AFAA73C298D57C7D6015A71C5

// --- BUNDLE IDs (MacOS Only) 
const char* kAAXBundleID = "developer.aax.synthtest.bundleID";
const char* kAUBundleID = "developer.au.synthtest.bundleID";
const char* kVST3BundleID = "developer.vst3.synthtest.bundleID";

// --- Plugin Names 
const char* kPluginName = "SynthTest";
const char* kShortPluginName = "SynthTest";
const char* kAUBundleName = "SynthTest";

// --- Plugin Type 
const pluginType kPluginType = pluginType::kFXPlugin;

// --- VST3 UUID 
const char* kVSTFUID = "{98f3e91a-faa7-3c29-8d57-c7d6015a71c5}";

// --- 4-char codes 
const int32_t kFourCharCode = 'TSTT';
const int32_t kAAXProductID = 'TSTT';
const int32_t kManufacturerID = 'KLRF';

// --- Vendor information 
const char* kVendorName = "KlirrFactory";
const char* kVendorURL = "www.yourcompany.com";
const char* kVendorEmail = "help@yourcompany.com";

// --- Plugin Options 
const bool kWantSidechain = false;
const uint32_t kLatencyInSamples = 0;
const double kTailTimeMsec = 0.000000;
const bool kVSTInfiniteTail = false;
const bool kVSTSAA = false;
const uint32_t kVST3SAAGranularity = 1;
const uint32_t kAAXCategory = aaxPlugInCategory_None;

#endif
